<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>nl.naturalis.nba.api.model</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="nl.naturalis.nba.api.model";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;nl.naturalis.nba.api.model</h1>
</div>
<div class="contentContainer">
<section role="region"><a id="package.description">
<!--   -->
</a>
<div class="block">Classes defining the NBA data model. The NBA data model is based on, but not
 exactly equal to the <a href="http://www.tdwg.org/activities/abcd/">ABCD</a>
 data model.</div>
</section>
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></th>
<td class="colLast">
<div class="block">Interface indicating that each instance of a class implementing this
 interface corresponds to a single document in the Elasticsearch document
 store underlying the NBA.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a></th>
<td class="colLast">
<div class="block">Marker interface for all classes representing the NBA data model.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Agent.html" title="class in nl.naturalis.nba.api.model">Agent</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="AssociatedTaxon.html" title="class in nl.naturalis.nba.api.model">AssociatedTaxon</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="BioStratigraphy.html" title="class in nl.naturalis.nba.api.model">BioStratigraphy</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ChronoStratigraphy.html" title="class in nl.naturalis.nba.api.model">ChronoStratigraphy</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DefaultClassification.html" title="class in nl.naturalis.nba.api.model">DefaultClassification</a></th>
<td class="colLast">
<div class="block">A <code>DefaultClassification</code> classifies a specimen or species according to
 the ranks explicitly listed in the Darwin Core specification plus two extra
 higher ranks commonly used within the Naturalis specimen registration
 systems: super family and tribe.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Expert.html" title="class in nl.naturalis.nba.api.model">Expert</a></th>
<td class="colLast">
<div class="block">An <code>Expert</code> represents a person or organization who is regarded as an authority with respect to a particular species.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="GatheringEvent.html" title="class in nl.naturalis.nba.api.model">GatheringEvent</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="GatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model">GatheringSiteCoordinates</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="GeoArea.html" title="class in nl.naturalis.nba.api.model">GeoArea</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="GeoPoint.html" title="class in nl.naturalis.nba.api.model">GeoPoint</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Iptc4xmpExt.html" title="class in nl.naturalis.nba.api.model">Iptc4xmpExt</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="LithoStratigraphy.html" title="class in nl.naturalis.nba.api.model">LithoStratigraphy</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a></th>
<td class="colLast">
<div class="block">A <code>Monomial</code> represents a node in a taxon hierarchy.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="MultiMediaContentIdentification.html" title="class in nl.naturalis.nba.api.model">MultiMediaContentIdentification</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="MultiMediaGatheringEvent.html" title="class in nl.naturalis.nba.api.model">MultiMediaGatheringEvent</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a></th>
<td class="colLast">
<div class="block">Class modeling a MultiMediaObject</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="NamedArea.html" title="class in nl.naturalis.nba.api.model">NamedArea</a></th>
<td class="colLast">
<div class="block">Class representing an atomised place name.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">NbaTraceableObject</a></th>
<td class="colLast">
<div class="block">Abstract base class for all domain model classes that can be traced back to a
 single, identifiable record in one of the NBA's source systems.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Organization.html" title="class in nl.naturalis.nba.api.model">Organization</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Person.html" title="class in nl.naturalis.nba.api.model">Person</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a></th>
<td class="colLast">
<div class="block">A <code>Reference</code> represents a literature reference or common name.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a></th>
<td class="colLast">
<div class="block">Encapsulates a taxon's full scientific name and the components it is composed of.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model">ScientificNameGroup</a></th>
<td class="colLast">
<div class="block">The ScientificNameGroup class is used to capture the output from
 <a href="../ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a> and
 <a href="../ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model">ServiceAccessPoint</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Specimen.html" title="class in nl.naturalis.nba.api.model">Specimen</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="SpecimenMultiMediaObject.html" title="class in nl.naturalis.nba.api.model">SpecimenMultiMediaObject</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Synonym.html" title="class in nl.naturalis.nba.api.model">Synonym</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Taxon.html" title="class in nl.naturalis.nba.api.model">Taxon</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="TaxonMultiMediaObject.html" title="class in nl.naturalis.nba.api.model">TaxonMultiMediaObject</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="TaxonomicEnrichment.html" title="class in nl.naturalis.nba.api.model">TaxonomicEnrichment</a></th>
<td class="colLast">
<div class="block">The <code>TaxonomicEnrichment</code> object enriches <a href="Specimen.html" title="class in nl.naturalis.nba.api.model"><code>Specimen</code></a> documents
 with data extracted from the <a href="Taxon.html" title="class in nl.naturalis.nba.api.model"><code>Taxon</code></a> index.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="TaxonomicIdentification.html" title="class in nl.naturalis.nba.api.model">TaxonomicIdentification</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="AreaClass.html" title="enum in nl.naturalis.nba.api.model">AreaClass</a></th>
<td class="colLast">
<div class="block">Enum representing an area classification.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="License.html" title="enum in nl.naturalis.nba.api.model">License</a></th>
<td class="colLast">
<div class="block">Enum representing the Creative Commons Licenses.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ResourceType.html" title="enum in nl.naturalis.nba.api.model">ResourceType</a></th>
<td class="colLast">
<div class="block">Enum representing the nature or genre of a resource.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="SpatialDatum.html" title="enum in nl.naturalis.nba.api.model">SpatialDatum</a></th>
<td class="colLast">
<div class="block">Enum representing the reference system upon which the geographic coordinates
 given in latitudeDecimal and longituDedecimal as based.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model">SpecimenTypeStatus</a></th>
<td class="colLast">
<div class="block">A type status assigned to a specimen if it is not known whether it's a
 holotype, paratype, lectotype, etc., but it is known to be one of those.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="TaxonomicRank.html" title="enum in nl.naturalis.nba.api.model">TaxonomicRank</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model">TaxonomicStatus</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="TaxonRelationType.html" title="enum in nl.naturalis.nba.api.model">TaxonRelationType</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
